%define upstream_name    Module-Install-TrustMetaYml
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Trusts META.yml list of dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Package)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
CPAN doesn't trust 'META.yml''s list of dependencies for a module. Instead
it expects 'Makefile.PL' run on the computer the package is being installed
upon to generate its own list of dependencies (called 'MYMETA.yml' or
'MYMETA.json').

This module is a Module::Install plugin that generates 'MYMETA.yml' by
simply passing through the dependencies from 'META.yml'.

It does nothing when run from the module author's development copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes HACKING LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-12.mga9
+ Revision: 1809744
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-11.mga8
+ Revision: 1505225
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-10.mga7
+ Revision: 1284801
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.3.0-9.mga7
+ Revision: 1165557
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.3.0-8.mga7
+ Revision: 1159318
- add BR on perl(inc::Module::Package)

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1030127
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 937621
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.3.0-5.mga6
+ Revision: 937168
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 746732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 685452
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 525090
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.3.0-1.mga4
+ Revision: 432204
- update to 0.003

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 369904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 0.2.0-1.mga3
+ Revision: 334201
- imported package perl-Module-Install-TrustMetaYml


* Sun Dec 23 2012 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
